#-------------------------------------------------------------------------------
#  
#  Define a function plot data set
#  
#  Written by: David C. Morrill
#  
#  Date: 03/01/2003
#  
#  (c) Copyright 2003, Enthought, Inc.
#  
#-------------------------------------------------------------------------------

#-------------------------------------------------------------------------------
#  Imports:
#-------------------------------------------------------------------------------

from enthought.chaco.plot_base import *
from enthought.chaco.plot_data import PlotData
from enthought.traits.api          import Trait, Range #, trait_editors # ui_hack
from types                     import TupleType
       
#-------------------------------------------------------------------------------
#  Verify/Convert a string to a Python function:
#-------------------------------------------------------------------------------
       
def str_to_function ( object, name, value ):
    object._function = compile( value, '<string>', 'eval' )
    return value
    
str_to_function.info = "a valid Python expression using the variable 'x'"

#-------------------------------------------------------------------------------
#  'Function' class:
#-------------------------------------------------------------------------------

class Function ( PlotData ):

    #---------------------------------------------------------------------------
    #  Trait definitions:
    #---------------------------------------------------------------------------
    
    function = Trait( 'x*sin(15.75*x)', str_to_function )
                      # ui_hack
                      # editor = trait_editors().TraitEditorText( auto_set = 0 ) )
    min      = Range( -10.0, 10.0, value = -1.0 )
    max      = Range( -10.0, 10.0, value =  1.0 )
   
    #---------------------------------------------------------------------------
    #  Return the data for a specified source: 
    #---------------------------------------------------------------------------
    
    def data ( self, source_name ):
        self.function
        amin, amax = min( self.min, self.max ), max( self.min, self.max )
        while 1:
            delta = (amax - amin) / 300.0
            if delta != 0.0:
                break
            amin -= 0.5
            amax += 0.5
        x = arange( amin, amax + (delta / 2.0), delta )
        try:
            result = eval( self._function )
        except:
            result = zeros( ( len( x ), ), Float )
        if type( result ) is TupleType:
            x, result = result 
        return transpose( reshape( concatenate( ( x, result ) ), 
                                   ( 2, len( x ) ) ) )
