#-------------------------------------------------------------------------------
#  
#  Define a polynomial plot data set
#  
#  Written by: David C. Morrill
#  
#  Date: 02/26/2003
#  
#  (c) Copyright 2003, Enthought, Inc.
#  
#-------------------------------------------------------------------------------

#-------------------------------------------------------------------------------
#  Imports:
#-------------------------------------------------------------------------------

from enthought.util.numerix import arange, concatenate, reshape, transpose
# from enthought.chaco.plot_base import *
from enthought.chaco.plot_data import PlotData
from enthought.traits.api          import Float, Range, Trait
from enthought.traits.ui.api       import View

#-------------------------------------------------------------------------------
#  'Polynomial' class:
#-------------------------------------------------------------------------------

coefficient = Range( -10.0, 10.0, value = 0.0, event = 'update' )

class Polynomial ( PlotData ):
    
    #---------------------------------------------------------------------------
    #  Trait definitions:
    #---------------------------------------------------------------------------
    
    a = coefficient
    b = coefficient
    c = Trait( 1.0, coefficient )
    d = coefficient
    e = coefficient

    minimum = Float(-5.0, event='update')
    maximum = Float(5.01, event='update')
    step    = Float(0.1)

    traits_view = View('a', 'b', 'c', 'd', 'e', '_', 'minimum', 'maximum', 'step')
    
    #---------------------------------------------------------------------------
    #  Return the data for a specified source: 
    #---------------------------------------------------------------------------
    
    def data ( self, source_name ):
        x = arange( self.minimum, self.maximum, self.step )
        y = ((self.a * (x ** 4)) +
             (self.b * (x ** 3)) +
             (self.c * (x ** 2)) +
             (self.d * x) + self.e)
        return transpose( reshape( concatenate( ( x, y ) ), ( 2, len( x ) ) ) )

#### EOF ###################################################################### 
