""" Style sheet for PlotFrame objects. """

# Enthought library imports.
from enthought.enable.traits.api import RGBAColor
from enthought.traits.api import HasStrictTraits, Str


# Local imports.
from plottable_style import PlottableStyle
from plot_traits import BorderSize, BorderStyle, Margin



class PlotFrameStyle(PlottableStyle):
    """ Style sheet for PlotFrame objects. """

    # The background color.
    bg_color = RGBAColor('clear')

    # The border color.
    border_color = RGBAColor('black')

    # The border size.
    border_size = BorderSize

    # The border style.
    border_style = BorderStyle

    # The margin space outside the frame.
    margin = Margin

    # The margin space outside the top and bottom of the frame.
    margin_height = Margin

    # The margin space outside the left and right of the frame.
    margin_width = Margin

    # The padding space inside the frame.
    padding = Margin

    # The padding space inside the top and bottom side of the frame.
    padding_height = Margin

    # The padding space inside the left and right side of the frame.
    padding_width = Margin

    ## FIXME : I think this is probably broken now.
    # The context menu for the frame.
    menu = Str

#### EOF ######################################################################
