""" A stylesheet for plot labels. """


# Enthought library imports.
from enthought.enable.traits.api import RGBAColor
from enthought.kiva.traits.kiva_font_trait import KivaFont
from enthought.traits.api import Bool

# Local imports.
from plot_frame_style import PlotFrameStyle
from plot_traits import Alignment, Rotation


class PlotLabelStyle(PlotFrameStyle):
    """ A stylesheet for plot labels. """

    ###########################################################################
    # Trait definitions.
    ###########################################################################

    # The alignment of the label.
    alignment = Alignment

    # The label text color.
    color = RGBAColor('black')

    # The label font.
    font = KivaFont('modern 10')

    # The label legend color.
    legend_color = RGBAColor('clear')

    # The angle of rotation of the label.
    rotate = Rotation

    # Is the label visible?
    visible = Bool(True)

    ###########################################################################
    # Trait overrides.
    ###########################################################################

    # The margin around the outside of the label border.
    margin = 4

    # The margin above and below the label border.
    margin_height = 4

    # The margin left and right of the label border.
    margin_width = 4

#### EOF ######################################################################
