# Enthought library imports.
from enthought.enable import Component

# Local imports.
from plot_base import PlotError, PlotItemList
from plot_overlay import PlotOverlay
from plot_title import PlotTitle
from plot_value import PlotValue

#-------------------------------------------------------------------------------
#  'PlotTitleList' class:
#-------------------------------------------------------------------------------

class PlotTitleList ( PlotItemList ):

    def __validate__ ( self, item ):
        if isinstance( item, PlotTitle ):
            return item
        raise PlotError, 'Only instances of PlotTitle can be specified'

#-------------------------------------------------------------------------------
#  'PlotOverlayList' class:
#-------------------------------------------------------------------------------

class PlotOverlayList ( PlotItemList ):

    def __validate__ ( self, item ):
        if isinstance( item, PlotOverlay ):
            return item
        raise PlotError, 'Only instances of PlotOverlay can be specified'

#-------------------------------------------------------------------------------
#  'PlotCanvasList' class:
#-------------------------------------------------------------------------------

class PlotCanvasList ( PlotItemList ):

    def __validate__ ( self, item ):
        if isinstance( item, PlotCanvas ):
            return item
        if type( item ) in sequence_types:
            return PlotValue( item )
        raise PlotError, ( 'Only numeric arrays or lists or instances of '
                           'PlotCanvas or PlotValue can be specified' )

#-------------------------------------------------------------------------------
#  'PlotGroupList' class:
#-------------------------------------------------------------------------------

class PlotGroupList ( PlotItemList ):

    def __validate__ ( self, item ):
        if isinstance( item, Component ):
            return item
        if type( item ) in sequence_types:
            return PlotValue( item )
        raise PlotError, ( 'Only numeric arrays or lists or instances of '
                           'Component can be specified' )

#-------------------------------------------------------------------------------
#  'PlotValueList' class:
#-------------------------------------------------------------------------------

class PlotValueList ( PlotItemList ):

    def __validate__ ( self, item ):
        raise PlotError, 'The list is read-only'
