""" A stylesheet for plot overlays. """


# Major package imports.
from types import FloatType

# Enthought library imports.
from enthought.enable.traits.api import RGBAColor
from enthought.traits.api import Bool, Float, Trait

# Local imports.
from plot_label_style import PlotLabelStyle
from plot_traits import LineStyle, LineWeight, Position


class PlotOverlayStyle(PlotLabelStyle):
    """ A stylesheet for plot overlays. """

    ###########################################################################
    # Trait definitions.
    ###########################################################################

    # The line color for overlay plots.
    line_color = RGBAColor('red')

    # The line style for overlay plots.
    line_style = LineStyle('dot')

    # The line weight for overlay plots.
    line_weight = LineWeight

    # The position of the overlay.
    position = Position

    # Does the overlay span canvases?
    span = Bool(False)

    value = Trait(None, None, FloatType)

    ###########################################################################
    # Trait overrides.
    ###########################################################################

    #### PlotFrameStyle ####

    bg_color = 'cyan'

    border_size = 1

    padding = 4

    padding_height = 4

    padding_width = 4

#### EOF ######################################################################


