""" Collection of the Trait view elements for editing plot traits. """

# Enthought library imports.
from enthought.traits.ui.api import Group



# 'Margin' trait page for plottable objects:
plot_margin_group = Group( 
    [ 'margin_height{Height}',
      'margin_width{Width}',
      '|[Margin]' ],
    [ 'padding_height{Height}',
      'padding_width{Width}',
      '|[Padding]' ],
    [ 'plot_padding_height{Height}',
      'plot_padding_width{Width}',
      '|[Plot Padding]' ],
    '|{Margin}' 
)

# 'Layout' trait page for plottable objects:
bar_width_group = Group(
    'plot_bar_width', 
    'plot_bin_width',
    '|[Plot Elements]'
)

layout_group = Group(
    [ 'weight', '|[Layout]' ],
    [ 'min_height{Height}',
      'min_width{Width}',
      '|[Canvas Minimum]' ],
    bar_width_group,
    '|{Layout}' 
)

# 'Plot' trait page for plottable objects:
plot_group = Group(
    [ 'plot_bg_color{Color}@',
      '|[Plot Background]' ],
    [ 'plot_border_color{Color}', '_',
      'plot_border_size{Size}',   '_',
      'plot_border_style{Style}',
      '|[Plot Border]@' ],
    '|{Plot}'
)
    
# 'Marker' trait page for plottable object:
marker_group = Group( 
    [ 'symbol', '_', 'size',
      '|[Marker]@' ],
    [ 'outline_color{Color}', '_',
      'outline_weight{Weight}',
      '|[Outline]@' ],
    [ 'fill_color{Color}', ' ',
      #( 'fill_style', 'Style' ),  <--- Not yet supported by Kiva
      '|[Fill]@' ],
    '|{Marker}' 
)
    
# 'Cursor' trait page for plottable objects:
cursor_group = Group( 
    [ 'cursor_color{Color}',      '_',
      'cursor_style{Line Style}', 
      '|[Cursor]@' ],
    '|{Cursor}'
)

# 'Line' trait page for plottable objects:
line_group = Group(
    [ 'line_color{Color}', '_',
      'line_style{Style}', '_',
      'line_weight{Weight}',
      '|[Line]@' ],
    '|{Line}'
)


# 'Group' main page common traits:
group_main_group = Group( 
    'index_axis{Index Axis}', '_',
    'plot_origin{Origin}',    '_',
    'plot_type{Type}',
    '|[Plot]@'
)

border_group = Group( [ 'border_color{Color}', '_',
                        'border_size{Size}',   '_',
                        'border_style{Style}',
                        '|[Border]@' ],
                     '|{Border}' )

margin_group = Group( [ 'margin_height{Height}',
                        'margin_width{Width}',
                        '|[Margin]' ],
                      [ 'padding_height{Height}',
                        'padding_width{Width}',
                        '|[Padding]' ],
                     '|{Margin}' )

legend_group = Group( [ 'legend_color', '|[Legend]@' ], '|{Legend}' )

misc_group   = Group( [ 'menu', ' ', 'debug', '|[Miscellaneous]' ], 
                      '|{Misc}' )
