""" A style sheet for plottables. """


# Enthought library imports.
from enthought.traits.api import Bool, HasStrictTraits, Range


# Local imports.
from plot_traits import Position


class PlottableStyle(HasStrictTraits):
    """ A style sheet for plottables. """

    # The scaling factor of the range axis.
    index_scale = Range(1.0, 100.0, value=1.0)

    # Is this plottable an overlay?
    overlay = Bool(False)

    # The position of this plottable relative to its container.
    position = Position

    # The scaling factor of the value axis.
    value_scale = Range(1.0, 100.0, value=1.0)


#### EOF ######################################################################
