import os

#!/usr/bin/env python
def configuration(parent_package='enthought',top_path=None):
    from numpy.distutils.misc_util import Configuration
    config = Configuration('chaco',parent_package,top_path)

    # for unknown reasons, if ../__init__.py isn't referred to by its absolute
    # path, enthought/traits/__init__.py gets copied instead
    config.add_data_files(('..', os.path.abspath(os.path.join('..','__init__.py'))))

    config.add_subpackage('contour')
    config.add_subpackage('demo')
    config.add_subpackage('extras')
    config.add_data_dir('images')
    config.add_subpackage('interaction')
    config.add_subpackage('plugin')
    config.add_subpackage('plugin.*')
    config.add_subpackage('renderers')
    config.add_subpackage('wx')
    config.add_data_dir('tests')
    config.add_data_dir('tk')
    config.add_data_files('*.txt','NOTES','LICENSE',
                          'demo/*.jpg','demo/*.png',
                          'demo/*.help','demo/*.gif')

    # the docs are really big and should be made available online
    # instead
    #config.add_data_dir('doc')

    return config

if __name__ == "__main__":
    try:
        from numpy.distutils.core import setup
    except ImportError:
        execfile('setup_chaco.py')
    else:
        setup(version='0.2.1',
           description  = 'Chaco plotting toolkit',
           author       = 'Enthought, Inc',
           author_email = 'info@enthought.com',
           url          = 'http://code.enthought.com/chaco',
           license      = 'BSD',
           zip_safe     = False,
           configuration=configuration)
