#!/usr/bin/env python
    
#--------------------------------------------------------------------------------
#
#  Python setup for the 'chaco' package
#
#  Written by: Eric Jones
#              David C. Morrill
#
#  Date: 09/16/2002
#
#  (c) Copyright 2002 by Enthought, Inc.
#
#--------------------------------------------------------------------------------

#-------------------------------------------------------------------------------
#  Imports:
#-------------------------------------------------------------------------------

import os
from os.path                   import join
from glob                      import glob
from scipy_distutils.misc_util import get_path, default_config_dict, dot_join
from scipy_distutils.core import Extension


def local_join( local_path, *names):
    return os.path.join(*((local_path,)+names))

def local_glob( local_path, *names):
    return glob(os.path.join(*((local_path,)+names)))


#-------------------------------------------------------------------------------
#  Define the configuration information:
#-------------------------------------------------------------------------------

def configuration ( parent_package = '' ):
    package    = 'chaco'
    local_path = get_path( __name__ )
    config     = default_config_dict( package, parent_package )

    ext = Extension( dot_join( parent_package, package, "contour", "contour" ),
                     sources = glob( join( local_path, "contour", "*.c" ) )
                    )
    config['ext_modules'].append(ext)

    return config

#-------------------------------------------------------------------------------
#  Do the setup if we are run stand-alone:
#-------------------------------------------------------------------------------
    
if __name__ == '__main__':
    from scipy_distutils.core import setup
    setup( **configuration() )
