import time, pdb
from enthought.util.numerix import *
from enthought.util.randomx import random

from enthought.chaco.datamapper import BruteForceDataMapper
from enthought.chaco.subdivision_mapper import SubdivisionDataMapper, \
                                               SubdivisionLineDataMapper

numpoints = 100000
data = random((numpoints,2))

line_x = arange(-pi,pi, 2*pi/numpoints)
line_data = transpose(array([line_x, sin(line_x)]))

dm0 = BruteForceDataMapper(sort_order='ascending')
dm0.set_data(line_data, 'none')

t1 = time.clock()
dm1 = SubdivisionDataMapper(sort_order='ascending')
dm1._points_per_cell = 100
dm1.set_data(line_data, 'none')
t2= time.clock()
print "SubdivisionMapper creation time:", t2-t1

t1 = time.clock()
dm2 = SubdivisionLineDataMapper(sort_order='ascending')
dm2._points_per_cell = 100
dm2.set_data(line_data, 'none')
t2 = time.clock()
print "SubdivisionLineMapper creation time:", t2-t1

the_point = resize(data[5005], (1,2))

print "*** Numpoints =", numpoints
for dm in (dm0, dm1, dm2):
    print "Datamapper:", `dm.__class__`
    t1 = time.clock()
    candidates = dm.get_points_near(the_point)
    match = [x for x in candidates if alltrue(x == the_point)]
    if len(match) == 1:
        print "   found good match!"
    t2 = time.clock()
    print "   time =", t2-t1
    print "   region:", dm.get_last_region()

#EOF
