
import wx
from enthought.util.numerix import arange, sin
from enthought.enable.wx import Window
from enthought.chaco.wx.plot import PlotAxis, PlotComponent, PlotCanvas, PlotValue

from enthought.chaco.interaction.zoom_interaction import ZoomInteraction

class MyFrame ( wx.Frame ):
    def __init__ ( self, *args, **kw ):
        wx.Frame.__init__( *(self,) + args, **kw )
        data = sin(arange(-5.0, 5.0, 0.3))
        
        zoom = ZoomInteraction(reset_on_complete=True)
        x_axis = PlotAxis(title="X axis")
        y_axis = PlotAxis(title="Y axis")
        plot = PlotValue(data, type="scatter,line",
                          axis_index = x_axis, axis = y_axis,
                          interaction=zoom)
        plot_window = Window(self, component=PlotComponent(plot))
        
        sizer = wx.BoxSizer(wx.HORIZONTAL)
        sizer.Add(plot_window.control, 1, wx.EXPAND)
        self.SetSizer(sizer)
        self.SetAutoLayout( True )
        self.Show( True )


def main():
    app = wx.PySimpleApp()
    frame = MyFrame(None, size=(400,400))
    app.SetTopWindow(frame)
    app.MainLoop()

if __name__ == "__main__":
    main()
