""" The charm plugin. """


# Standard library imports.
from os.path import join

# Enthought library imports.
from enthought.charm.api import Charm
from enthought.envisage.api import Plugin


class CharmPlugin(Plugin):
    """ The charm plugin. """

    # The Id of the Charm service.
    ICHARM = 'enthought.charm.ICharm'
    
    ###########################################################################
    # 'Plugin' interface.
    ###########################################################################

    def start(self, application):
        """ Starts the plugin. """

        print 'Starting the Charm plugin'

        ## Create a new Charm.
        self.charm = Charm(
            filename = join(self.state_location, 'code_database.pickle')
        )

        # Register the charm service.
        self.register_service(self.ICHARM, self.charm)
        
        return

    def stop(self, application):
        """ Stops the plugin. """

        print 'Stopping the Charm plugin'

        # Save the cache.
        self.charm.save()

        return

#### EOF ######################################################################
