""" The base class for all charm views. """


# Enthought library imports.
from enthought.envisage.workbench.api import View
from enthought.traits.api import Property, Str


class CharmView(View):
    """ The base class for all charm views. """

    #### 'CharmView' interface ################################################

    # The Charm object that we are a view of.
    charm = Property

    # The text to display on the status bar of the window that the view is in.
    status = Property(Str)
    
    ###########################################################################
    # 'CharmView' interface.
    ###########################################################################

    #### Properties ###########################################################

    def _get_charm(self):
        """ Property getter. """

        return self.application.get_service('enthought.charm.ICharm')

    def _get_status(self):
        """ Gets the message displayed on the status bar.

        fixme: Abstract this!

        """
        
        # fixme: Easier way for views to set status text please!
        return self.window.status_bar_manager.message

    def _set_status(self, message):
        """ Sets the message displayed on the status bar.

        fixme: Abstract this!

        """
        
        # fixme: Easier way for views to set status text please!
        self.window.status_bar_manager.message = message

        return

#### EOF ######################################################################
