""" Creates a new module. """


# Standard library imports.
from os.path import join

# Enthought library imports.
from enthought.io import File
from enthought.pyface.action.api import Action


class NewModule(Action):
    """ Creates a new module. """
    
    #### 'Action' interface ###################################################
    
    # The action's name (displayed on menus/tool bar tools etc).
    name = 'Module'
    
    ###########################################################################
    # 'Action' interface.
    ###########################################################################
    
    def perform(self, event):
        """ Performs the action. """
        
        parent_package = event.context
        if parent_package is not None:
            # Make sure the parent package is expanded.
            event.widget.expand(parent_package)
            
            f = File(parent_package.filename)


            
            np = File(join(parent_package.filename, 'new_module.py'))
            i = 2
            while np.exists:
                np = File(join(parent_package.filename, 'new_module_%d.py' % i))
                i += 1
                
            np.create_file()
            
            
            parent_package.contents = []
            from enthought.charm.enclbr import read_directory
            
            read_directory(parent_package.filename, parent_package)
            event.widget.refresh(parent_package)
            
            for item in parent_package.contents:
                if item.filename == np.path:
                    node = item
                    print 'Found it', item
                    break
                    
            else:
                print 'Doh!'
                
                
            # The context to create the folder in.
            #context = parent_folder.obj

            # Generate a name that is unique within the context.
            #name = self._get_unique_name('New Folder', context)

            # Create the folder.
            #context.create_subcontext(name)

            # Lookup the binding.
            #binding = parent_folder.obj.lookup_binding(name)
            from enthought.pyface.api import GUI
            
            event.widget.select(node)
            event.widget.edit_label(node)
            
            # Start a label edit.
            GUI.invoke_later(event.widget.edit_label, *(node,))        
        
        return

##### EOF #####################################################################
