""" The node type for a dictionary of attributes. """


# Enthought library imports.
from enthought.charm.klass import Klass
from enthought.pyface.api import ImageResource
from enthought.pyface.tree.api import TraitDictNodeType


class AttributesNodeType(TraitDictNodeType):
    """ The node type for a dictionary of attributes. """

    #### 'NodeType' interface #################################################

    # The image used to represent nodes of this type.
    image = ImageResource('attributes')

    #### 'TraitDictNodeType' interface ########################################

    # The label text.
    text = 'Attributes'

    # The trait name.
    trait_name = 'attributes'
    
    ###########################################################################
    # 'NodeType' interface.
    ###########################################################################

    def is_type_for(self, node):
        """ Returns True if this node type recognizes a node. """

        is_type_for = isinstance(node, dict) \
                      and hasattr(node, 'object') \
                      and node.name == self.trait_name

        return is_type_for

##### EOF #####################################################################
