""" The node type for a function. """


# Enthought library imports.
from enthought.charm.function import Function
from enthought.pyface.api import ImageResource
from enthought.pyface.tree.api import NodeType


class FunctionNodeType(NodeType):
    """ The node type for a function. """

    #### 'NodeType' interface #################################################

    # The image used to represent nodes of this type.
    image = ImageResource('function')

    ###########################################################################
    # 'NodeType' interface.
    ###########################################################################

    def is_type_for(self, node):
        """ Returns True if this node type recognizes a node. """

        return isinstance(node, Function)

    def allows_children(self, node):
        """ Does the node allow children (ie. a folder vs a file). """

        return False

    def get_text(self, node):
        """ Returns the label text for a node. """

        return node.name

##### EOF #####################################################################
