""" The node type for a dictionary of functions. """


# Enthought library imports.
from enthought.charm.module import Module
from enthought.pyface.api import ImageResource
from enthought.pyface.tree.api import TraitDictNodeType


class FunctionsNodeType(TraitDictNodeType):
    """ The node type for a dictionary of functions. """

    #### 'NodeType' interface #################################################

    # The image used to represent nodes of this type.
    image = ImageResource('functions')

    #### 'TraitDictNodeType' interface ########################################

    # The type of object that provides the trait dictionary.
    klass = Module

    # The label text.
    text = 'Functions'

    # The trait name.
    trait_name = 'functions'

##### EOF #####################################################################
