""" The node type for a class. """


# Enthought library imports.
from enthought.charm.klass import Klass
from enthought.pyface.api import ImageResource
from enthought.traits.api import List

# Local imports.
from module_node_type import ModuleNodeType


class KlassNodeType(ModuleNodeType):
    """ The node type for a class. """

    #### 'NodeType' interface #################################################

    # The image used to represent nodes of this type.
    image = ImageResource('klass')

    #### 'KlassNodeType' interface ############################################

    # The names of the class' traits to show as its children.
    include = List(['attributes', 'traits', 'methods'])
    
    ###########################################################################
    # 'NodeType' interface.
    ###########################################################################

    def is_type_for(self, node):
        """ Returns True if this node type recognizes a node. """

        return isinstance(node, Klass)

##### EOF #####################################################################
