""" The node type for a dictionary of klasses. """


# Enthought library imports.
from enthought.charm.module import Module
from enthought.pyface.api import ImageResource
from enthought.pyface.tree.api import TraitDictNodeType


class KlassesNodeType(TraitDictNodeType):
    """ The node type for a dictionary of klasses. """

    #### 'NodeType' interface #################################################

    # The image used to represent nodes of this type.
    image = ImageResource('klasses')

    #### 'TraitDictNodeType' interface ########################################

    # The type of object that provides the trait dictionary.
    klass = Module

    # The label text.
    text = 'Classes'

    # The trait name.
    trait_name = 'klasses'

##### EOF #####################################################################
