""" The node type for a dictionary of methods. """


# Enthought library imports.
from enthought.charm.klass import Klass
from enthought.pyface.api import ImageResource
from enthought.pyface.tree.api import TraitDictNodeType


class MethodsNodeType(TraitDictNodeType):
    """ The node type for a dictionary of methods. """

    #### 'NodeType' interface #################################################

    # The image used to represent nodes of this type.
    image = ImageResource('methods')

    #### 'TraitDictNodeType' interface ########################################

    # The type of object that provides the trait dictionary.
    klass = Klass

    # The label text.
    text = 'Methods'

    # The trait name.
    trait_name = 'methods'

##### EOF #####################################################################
