""" The node type for a trait. """


# Enthought library imports.
from enthought.charm.assign import Assign
from enthought.pyface.api import ImageResource
from enthought.pyface.tree.api import NodeType


class TraitNodeType(NodeType):
    """ The node type for a trait. """

    #### 'NodeType' interface #################################################

    # The image used to represent nodes of this type.
    image = ImageResource('trait')

    ###########################################################################
    # 'NodeType' interface.
    ###########################################################################

    def is_type_for(self, node):
        """ Returns True if this node type recognizes a node. """

        return isinstance(node, Assign) and node.is_trait

    def allows_children(self, node):
        """ Does the node allow children (ie. a folder vs a file). """

        return False

    def get_text(self, node):
        """ Returns the label text for a node. """

        return node.targets[0]

##### EOF #####################################################################
