""" The node type for a dictionary of traits. """


# Enthought library imports.
from enthought.charm.klass import Klass
from enthought.pyface.api import ImageResource
from enthought.pyface.tree.api import TraitDictNodeType


class TraitsNodeType(TraitDictNodeType):
    """ The node type for a dictionary of traits. """

    #### 'NodeType' interface #################################################

    # The image used to represent nodes of this type.
    image = ImageResource('traits')

    #### 'TraitDictNodeType' interface ########################################

    # The type of object that provides the trait dictionary.
    klass = Klass

    # The label text.
    text = 'Traits'

    # The trait name.
    trait_name = 'traits'

##### EOF #####################################################################
