""" Some (hopefully) useful types! """


# Enthought library imports.
from enthought.traits.api import Any, Trait, TraitInstance
from enthought.util import numerix as Numeric

# Units.
from enthought.units.quantity import Quantity

# Local imports.
from enthought.component.type_def import TypeDef



# A type that allows ANY type to be assigned to it!
any_type = TypeDef(
    id          = 'com.enthought.component.any_type',
    name        = 'Any',
    description = 'Any value',
    trait       = Any,
)

# A type that expects a Numeric array.
array_type = TypeDef(
    id          = 'com.enthought.component.array_type',
    name        = 'Array',
    description = 'An array (vector)',
    trait       = Trait(None, TraitInstance(Numeric.ArrayType)),
)

# A type that expects a scalar value.
scalar_type = TypeDef(
    id          = 'com.enthought.component.scalar_type',
    name        = 'Scalar',
    description = 'A scalar value',
    trait       = Any,
)

# A type that expects a string.
string_type = TypeDef(
    id          = 'com.enthought.component.string_type',
    name        = 'String',
    description = 'A string',
    trait       = Any,
)   

# A type that expects a Quantity.
quantity_type = TypeDef(
    id          = 'com.enthought.component.quantity_type',
    name        = 'Quantity',
    description = 'A quantity',
    trait       = Trait(None, TraitInstance(Quantity)),
)

#### EOF ######################################################################
