""" A provider of function components. """


# Enthought library imports.
from enthought.component.registry import registry


class FunctionFactory:
    """ Factory used in choice editors. """
    
    def __init__(self, query):
        """ Creates a new factory. """

        self._query = query
        
        return

    def __call__(self, obj, trait_name):
        """ Returns the items in the factory. """
        
        current = getattr(obj, trait_name)

        # Find all of the functions in the registry that match the query.
        choices = registry.find(self._query)

        items = []
        for item in choices:
            if item.name == current.name:
                item = current

            items.append((str(item), item))

        return items

#### EOF ######################################################################
