""" A type definition. """


# Enthought library imports.
from enthought.traits.api import HasTraits, Str, Trait, Instance
#from enthought.util.traits.editor import ChoiceEditor

# Local imports.
from enthought.component.type_def_manager import type_def_manager


# bwd ui hack
#class TypeDef(HasTraits, Trait):
class TypeDef(HasTraits):
    """ A type definition.

    Used to describe the inputs and outputs to callable components etc.

    """

    id = Str

    name = Str

    description = Str


    # fixme! not sure how this translates into traits2
    # bwd ui hack
    # 'trait' : Trait(None, TraitInstance(Trait)),
    
    ###########################################################################
    # 'object' interface.
    ###########################################################################

    def __init__(self, **kw):
        """ Creates a new type definition. """

        # Base-class constructor.
        super(TypeDef, self).__init__(**kw)
        ##print 'Creating type', self.name, self.id

        # Register the type with the type manager (are types components?).
        type_def_manager.add(self)

        return
    
    def __str__(self):
        """ Returns an 'informal' string representation of the object. """
        
        return self.name

    ###########################################################################
    # 'TypeDef' interface.
    ###########################################################################

    def coerce(self, value, other_type_def):
        """ If possible coerce 'value' so that it is of this type.

        Raises a 'ValueError' if the value cannot be coerced.

        """

        return value

    def __getstate__(self):

        # Note: we only define getstate to keep the 'trait' attribute
        #       from being serialized. This means that that attribute will
        #       NOT appear on an unpickled TypeDef object. To fix this we
        #       need to find some reliable mechanism for pickling traits.
        result = {}
        result['id'] = self.id
        result['name'] = self.name
        result['description'] = self.description

        return result

#### EOF ######################################################################
