from enthought.logger import logger
from enthought.traits.api import HasTraits
from enthought.traits.api import Str, List, Bool

from node import Node
from actor import Actor
from ioport import IOPort

# inspired by Ptolemy http://ptolemy.eecs.berkeley.edu/ptolemyII

class AtomicActor( Actor, Node ) :

    def __init__(self, *args, **kw) :
        """ Creates a new AtomicActor node.
        """
        Node.__init__(self, *args, **kw)
    
    #### Trait Properties #####################################################
    
    #### Methods ##############################################################


    #### Executable methods ###################################################

    def preinitialize( self ) :
        logger.debug( "AtomicActor.preinitialize: %s" % self.full_name )
        for port in self.input_port_list() :
            port._get_local_receiver()
        return

    
    def initialize( self ) :
        #logger.debug( "AtomicActor.initialize: %s" % self.full_name )
        # clear all reachable node input port receivers
        for port in self.input_port_list() :
            port.clear()
        return
    
    def prefire( self ) :
        #logger.debug( "AtomicActor.prefire: %s" % self.full_name )
        for port in self.ports:
            if port.is_input and (not port.is_optional) \
                and (not port.has_tokens()):
                return False
        
        return True
        
    def fire( self ) :
        #logger.debug( "AtomicActor.fire: %s" % self.full_name )
        return True
        
    def postfire( self ) :
        #logger.debug( "AtomicActor.postfire: %s" % self.full_name )
        return True
    
    
        
    ###########################################################################
    # Actor methods
    ###########################################################################

        
    ###########################################################################
    # Protected methods
    ###########################################################################
    

    
### EOF ######################################################################
