""" The resource type for Python files. """


# Enthought library imports.
from enthought.envisage.resource import FileResourceType

# Local imports.
from chip_node_type import ChipNodeType


class ChipResourceType(FileResourceType):
    """ The resource type for chip files. """
    
    #### 'FileResourceType' interface #########################################
    
    # The file extension recognized by this type.
    ext = '.py'

    ###########################################################################
    # 'ResourceType' interface.
    ###########################################################################
    
    #### Initializers #########################################################

    def _node_type_default(self):
        """ Initializes the node type. """

        return ChipNodeType(resource_type=self)
    
##### EOF #####################################################################
