
from value_port import ValuePort
from composite_actor import CompositeActor

class CompositeValueActor( CompositeActor ):
    """ CompositeActor that uses ValuePorts. """

    ### Actor methods #########################################################
    def prefire( self ) :
        """ CompositeValue actor uses ValuePorts, which always have a value """
        return True

    ### Node methods ##########################################################    
    def new_port( self, name, is_input ) :
        """ Create a port compatible with this node.
        """
        self._check_port_name( name )
        port = ValuePort( name, is_input )
        port.container = self
        return port

### EOF #######################################################################
