from enthought.logger import logger
from enthought.traits.api import HasTraits, Property

class Contained( HasTraits ) :
    """ Objects with a container Traits Property.
    """
    def __init__(self, *args, **kw) :
        """ Create a new object with a reference to its container. """
        #Property defaults
        self._container = None
        HasTraits.__init__(self, *args, **kw)
        
        return
        
    #### Trait Properties #####################################################
    
    # Property: container 
    def _get_container( self ) :
        """ Return the container of this object """
        return self._container

    def _set_container( self, container ) :
        """ Set the container of this object """
        self._container = container
    
    container = Property( _get_container, _set_container )
    
#### EOF ######################################################################    
