from enthought.logger import logger

from enthought.traits.api import HasTraits
from enthought.traits.api import List

from receiver import Receiver

class DefaultValueReceiver( Receiver ) :
    """ Implments a Receiver that returns the containing port's default value.
    Use with ValuePort for input ports not linked to an output port.
    """
    
    #### Receiver Methods ####################################################

    def clear( self ) :
        """ Clear this receiver of any contained tokens. """
        pass
        
    def available_tokens( self ) :
        """ Return the number of tokens available for get to return."""
        return 1

    def has_tokens( self, n=1 ) :
        """ Return True if the receiver has n tokens for get to return. """
        return True
    
    def get( self, n=1 ) :
        """ Return a token or list of tokens, when n > 1, from this receiver.
        """
        if n > 1 :
            raise ValueError, \
                "DefaultValueReciever only provides single tokens %s" \
                % self._container.full_name
        
        return self._container.token

    def has_room( self, n=1 ) :
        """ Return True if the receiver can accept n inputs. 
        This implementation uses an unbounded FIFO.
        """
        return True

    def put( self, token ) :
        """ Put a token into this recevier.
        """
        raise ValueError, "Attempted put on DefaultValueReciever: %s" \
            % self._container.full_name
        
        return    
        
    
#### EOF ######################################################################    
