""" Sample function with xml metadata """

def sample1( x, m ):
    """
    <function function_name='sample1'
              name='Sample1' 
              category='Examples'
              description='Sample function in Examples category'
              is_hidden='false' >

        <history>
            2003/05/16 rjb Changed input name to match family names
            2004/11/15 mlr Convert to python
            2005/03/02 wjd Add check of input parameter count
        </history>

        <inputs>
            <arg   name='k'
                   modifier='wat'
                   bundle='sh'
                   units='GPa'
                   description='Bulk modulus of pore water'
                   family_name='modulus'
                   external_type='str'
                   internal_type='str'
                   is_index='False'
                   is_optional='False'
                   arg_name='x'/>
            <arg   name='m'
                   modifier=''
                   bundle=''
                   units='GPa'
                   description='property to be averaged'
                   family_name='modulus'
                   external_type='str'
                   internal_type='str'
                   is_index='false'
                   is_optional='true'
                   arg_name='m'/>
            <repeat_group names='1 2 3'
                          min_num='1'
                          max_num='3' >
                <arg   name='repeatable'
                       modifier=''
                       bundle='ss'
                       units='GPa'
                       description='repeatable argument'
                       family_name='modulus'
                       external_type='str'
                       internal_type='str'
                       is_index='False'
                       is_optional='False'
                       arg_name='r'/>
                <arg   name='repeatable2'
                       modifier=''
                       bundle='ss'
                       units='GPa'
                       description='repeatable argument #2'
                       family_name='modulus'
                       external_type='str'
                       internal_type='str'
                       is_index='False'
                       is_optional='False'
                       arg_name='r'/>

            </repeat_group>
        </inputs>

        <outputs>
            <arg   name='inputs'
                   modifier='avg'
                   bundle=''
                   units='GPa'
                   description='Hill average of property'
                   family_name='modulus'
                   external_type='list'
                   internal_type='list'
                   is_index='false'
                   is_optional='false'
                   arg_name='m_avg'/>
        </outputs>

        <help>
            Examples / Sample 1
            Help for the sample.
        </help>

    </function>
    """

    m_avg = [ x, m ]

    return m_avg

