""" New definition of Bool that validates with strings as well as bool. """

from enthought.traits.api import Trait, TraitType, TraitFactory

def valid_bool( obj, name, value ):
    """ Bool trait validator that also allows strings for assignment.
    Valid strings are 'true' and 'false' regardless of case.
    """
    if type(value) == bool:
        return value
    elif isinstance(value, basestring):
        value = value.lower()
        if value == 'true':
            return True
        elif value == 'false':
            return False

    raise ValueError, "value must be True, False, 'true', or 'false' (any case)"

def Bool( value = False, **metadata ):
    return Trait( value, TraitType( bool ), valid_bool, **metadata )
            
Bool = TraitFactory( Bool )

#### EOF ######################################################################
