from enthought.logger import logger

from enthought.traits.api import HasTraits, List, Int

from contained import Contained

class Schedule(Contained) :
    """ A Schedule is a list of Actors and Schedules along with an iteration
    count that indicates the number of times a Director should iterate each
    item of the Schedule.
    
    Schedules can contain other Schedules.  This would usually occur only when
    the contained schedule has an iteration count that differs from the
    containing schedule's count.
    
    Note that the nesting of Schedules depends on data rates and Director
    execution model semantics and thus is not correlated with the nesting of
    CompsiteActors.
    
    Example:
    If nodes C and D should fire twice for each execution of A, B and E
    the following schedules are possible: (iteration, itemlist)
    1. (1, [A,B,C,D,C,D,E] )
    2. (1, [A,B,C,C,D,D,E] )
    3. (1, [A,B, (2, [C,D]), E] )
    
    Traits:
    
    iterations : Int(1)
    items : List of Actor and Schedule objects
    
    """
    
    iterations = Int(1)
    items = List
    
    def __init__(self, *args, **kw) :
        self._scheduled_items = None
        Contained.__init__(self, *args, **kw)
        return
        
    #### Trait Properties #####################################################
    
    
    #### Methods ##############################################################

    
        
#### EOF ######################################################################        
