""" The open cookie for Python resources. """


# Enthought library imports.
from enthought.envisage.project.action.open_cookie import OpenCookie

# Plugin imports.
from enthought.graph.scripts.editor.script_editor import ScriptEditor


class PythonResourceOpenCookie(OpenCookie):
    """ The open cookie for Python resources. """

    ###########################################################################
    # 'OpenCookie' interface.
    ###########################################################################

    def open(self, window, binding, **kw):
        """ Opens a resource referenced by the binding. """
          
        resource = binding.obj

        # fixme: This should be the generic behavior for ALL editors!
        for editor in window.editors:
            if isinstance(editor, ScriptEditor):
                if editor.path == resource.path:
                    editor.control.SetFocus()
                    editor.control.GetChildren()[0].SetFocus()
                    break

        else:    
            self.editor = ScriptEditor(
                parent          = window.control,
                path            = resource.path,
                title           = resource.path,
                resource        = binding.obj,
                **kw
            )
            self.editor.open()

        return
    
##### EOF #####################################################################
