""" The resource type for Python files. """


# Enthought library imports.
from enthought.envisage.resource import FileResourceType

# Local imports.
from python_node_type import PythonNodeType


class PythonResourceType(FileResourceType):
    """ The resource type for Python files. """
    
    #### 'FileResourceType' interface #########################################
    
    # The file extension recognized by this type.
    ext = '.py'

    ###########################################################################
    # 'ResourceType' interface.
    ###########################################################################
    
    #### Initializers #########################################################

    def _node_type_default(self):
        """ Initializes the node type. """

        return PythonNodeType(resource_type=self)
    
##### EOF #####################################################################
