import unittest

from enthought.logger import logger

from enthought.graph import SdfDirector

from actors import *
from transparent_composite_actor_with_noop_test_case \
    import TransparentCompositeActorWithNoop
       
class OpaqueCompositeActorWithNoopTestCase ( 
        TransparentCompositeActorWithNoop, unittest.TestCase ) :
    """ Same as super class but make the inner composite opaque.
    	Some test methods must be overridden because the tokens will backup
    	in the input port of the opaque composite rathter than the input
    	port of the noop node inside the inner composite.
    """

    def __init__( self, *args, **kw ) :
        TransparentCompositeActorWithNoop.__init__( self, *args, **kw )
        unittest.TestCase.__init__( self, *args, **kw )
        return

    def setUp(self) :
        logger.debug("-------------------------------------------------------")
        logger.debug("********************* OpaqueCompositeActorWithNoopTestCase")

        self.setUp_construct_dataflow()
        
        self.ca.name = "opaque_composite"
        self.ca_director = SdfDirector()
        self.ca_director.container = self.ca
        logger.debug("test execution begins OpaqueCompositeActorWithNoopTestCase...")
        
        self.top.preinitialize()
        self.top.initialize()

        return
        

        
    
### EOF ######################################################################
