from enthought.envisage.core.application import Application

from enthought.graph.vpl.port_factory import PortFactory

from enthought.graph.any_type_value_port import AnyTypeValuePort
from cp.plugin.graph.log_index_array_value_port import LogIndexArrayValuePort
from cp.plugin.graph.log_array_value_port import LogArrayValuePort
from enthought.resource_type.scalar_float_value_port import ScalarFloatValuePort
from enthought.resource_type.scalar_value_port import ScalarValuePort

class PortFactorySetup:
    pass

# As a side effect of the import, set up the port factory with some defaults.
# Unit tests that expect the port factory to be set up or import other modules that expect it
# should import this module before any calls to the port factory take place.
Application(requires_gui=False)
from enthought.envisage import get_application  
sr = get_application().service_registry 
sr.register_service( 'enthought.graph.vpl.PortFactory', PortFactory() )
pr = sr.get_service( 'enthought.graph.vpl.PortFactory' )
pr.add( AnyTypeValuePort, is_default=True )
pr.add( LogIndexArrayValuePort )
pr.add( LogArrayValuePort )
pr.add( ScalarFloatValuePort )
pr.add( ScalarValuePort )

