import unittest

from enthought.logger import logger

from enthought.graph import SdfDirector
from enthought.graph import InsufficientInputError, FireError

from actors import *
        
class SimpleExecutionTestCase( unittest.TestCase ) :

    def setUp(self) :
        logger.debug("-------------------------------------------------------")
        return
        
    def test_single_actor( self ) :
        top = CompositeActor('top')
        output_actor = HelloWorldActor("hello_world_actor")
        output_actor.container = top
        d = SdfDirector()
        d.container = top

        logger.debug("test_single_actor execution begins...")
        top.preinitialize()
        top.initialize()
        top.iterate(2)
        top.wrapup()
        logger.debug("test_single_actor execution ends.")
        return
        
    def test_simple_io_no_connections( self ) :
        top = CompositeActor('top')
        output_actor = OutputActor('output_actor', value='a')
        output_actor.container = top
        input_actor = InputActor('input')
        input_actor.container = top

        d = SdfDirector()
        d.container = top

        logger.debug("test_simple_io execution begins...")
        top.preinitialize()
        top.initialize()
        try :
            top.iterate(1)
            self.fail("Didn't throw RuntimeError when no data was available")
        except FireError, fe:
            if isinstance(fe.exception, InsufficientInputError):
                pass # expected that
            else:
                raise
        
        self.assertEqual( None, input_actor.value, \
            "input_actor has unexpected value: %s" % input_actor.value )    

        top.wrapup()
        logger.debug("test_simple_io execution ends.")
        return
        
    
### EOF ######################################################################
