import unittest

from enthought.logger import logger


from simple_node_test_case import SimpleNodeTestCase
from complex_test_case import ComplexTestCase
from receiver_test_case import ReceiverTestCase

from simple_execution_test_case import SimpleExecutionTestCase
from two_node_execution_test_case import TwoNodeExecutionTestCase
from transparent_composite_actor_test_case import TransparentCompositeActorTestCase
from transparent_composite_actor_with_noop_test_case import TransparentCompositeActorWithNoopTestCase
from opaque_composite_actor_with_noop_test_case import OpaqueCompositeActorWithNoopTestCase
from fan_out_test_case import FanOutActorTestCase, FanOutRelationTestCase
from fan_in_test_case import FanInActorTestCase, FanInRelationTestCase
from dependent_actors_test_case import DependentActorsTestCase
from topology_scheduler_test_case import TopologySchedulerTestCase

from actors import *

class BaseTestCase( unittest.TestCase ):
    #before every test
    def setUp(self) :
        pass
    
    #after every test
    def tearDown(self) :
        pass
        

        
#  Test suites:
#-------------------------------------------------------------------------------

def build_test_suite ( level = 1 ):
    suites = []
    if level > 0:
        suites.extend( [ unittest.makeSuite( x, 'test_' ) 
                            for x in [
                                    SimpleNodeTestCase,             
                                    ComplexTestCase,             
                                    ReceiverTestCase,
                                    SimpleExecutionTestCase,
                                    TwoNodeExecutionTestCase,
                                    TransparentCompositeActorTestCase,
                                    TransparentCompositeActorWithNoopTestCase,
                                    OpaqueCompositeActorWithNoopTestCase,
                                    FanOutActorTestCase,
                                    FanOutRelationTestCase,
                                    FanInActorTestCase,
                                    FanInRelationTestCase,
                                    DependentActorsTestCase,
                                    TopologySchedulerTestCase
                            ] ] )
    testSuite = unittest.TestSuite( suites )
    return testSuite
    
def do_test ( level = 10 ):
    suite = build_test_suite( level )
    runner = unittest.TextTestRunner()
    runner.run( suite )
    return runner

#-------------------------------------------------------------------------------
#  Run tests:
#-------------------------------------------------------------------------------

from logging import INFO, DEBUG
if __name__ == "__main__":
    logger.setLevel(INFO)
    do_test()
    
    
### EOF ######################################################################
