import unittest

from enthought.logger import logger

from tsd_no_subgroup_test_case     import TsdNoSubgroupTestCase
from tsd_with_subgroup_1_test_case import TsdWithSubgroup1TestCase
from tsd_with_subgroup_2_test_case import TsdWithSubgroup2TestCase
from tsd_with_subgroup_3_test_case import TsdWithSubgroup3TestCase
from tsd_time_test_case import *

from tsd_actors import *

        
#  Test suites:
#-------------------------------------------------------------------------------

def test_suite ( level = 1 ):
    suites = []
    if level > 0:
        suites.extend( [ unittest.makeSuite( x, 'test_' ) 
                            for x in [
                                    TsdNoSubgroupTestCase,
                                    TsdWithSubgroup1TestCase,
                                    TsdWithSubgroup2TestCase,
                                    TsdWithSubgroup3TestCase,
                            ] ] )
        suites.extend( [ unittest.makeSuite( x, 'benchmark_' ) 
                            for x in [
                                    TsdTimeDirectTestCase,
                                    TsdTimeNoSubgroupTestCase,
                                    TsdTimeSubgroup1TestCase,
                                    TsdTimeSubgroup2TestCase,
                            ] ] )
    testSuite = unittest.TestSuite( suites )
    return testSuite
    
def test ( level = 10 ):
    suite = test_suite( level )
    runner = unittest.TextTestRunner()
    runner.run( suite )
    return runner

#-------------------------------------------------------------------------------
#  Run tests:
#-------------------------------------------------------------------------------

from logging import INFO, DEBUG
if __name__ == "__main__":
    logger.setLevel(INFO)
    test()
    
    
### EOF ######################################################################
