import unittest

from enthought.logger import logger

from enthought.graph import SdfDirector

from actors import *
from two_node_execution_test_case import TwoNodeExecution

class TopologySchedulerTestCase( TwoNodeExecution, unittest.TestCase ) :

    def __init__( self, *args, **kw ) :
        TwoNodeExecution.__init__( self, *args, **kw )
        unittest.TestCase.__init__( self, *args, **kw )
        return

    def setUp(self) :
        logger.debug("-------------------------------------------------------")
        self.top = CompositeActor('top')

        self.input_actor = InputActor('input_actor')
        self.input_actor.container = self.top

        self.output_actor = OutputActor('output_actor', value='a')
        self.output_actor.container = self.top

        self.top.connect( self.output_actor.get_port('out'), 
                        self.input_actor.get_port('in'))

        self.director = SdfDirector()
        self.director.container = self.top

        logger.debug("test execution begins...")
        
        self.top.preinitialize()
        self.top.initialize()
        return
        
    
