
from value_port import ValuePort
from atomic_actor import AtomicActor

class ValueActor( AtomicActor ):
    """ Actor that uses ValuePorts. """

    def __init__(self, *args, **kw) :
        """ Creates a new AtomicActor node.
        """
        super( ValueActor, self).__init__(*args, **kw)

    ### Actor methods #########################################################
    def iterate( self, count ) :
        """ Iterate count times.
        An iteration is: prefire, fire, postfire
        Don't call prefire and postfire as we know the result.
        """
        self.fire()
        return True

    def prefire( self ) :
        """ Value actor uses ValuePorts, which always have a value """
        return True

    ### Node methods ##########################################################    
    def new_port(self, name, is_input ) :
        """ Create a port compatible with this node.
        """
        self._check_port_name( name )
        port = ValuePort( name, is_input )
        port.container = self
        return port


### EOF #######################################################################
