class ChipListener:
    """ Interface class for listening to chip change events from the chip manager.
    
        For example, a canvas can implement this interface to make sure its chips
        stay up to date as the user makes changes the prototype chips.
    """ 
    
    def on_chip_changed(self, event):
        """ Called when something about a chip has changed.  \
        
            The id of the chip will be carried by the event.
        """
            
        pass