""" The open cookie for Dataflow resources. """


# Enthought library imports.
from enthought.envisage.project.action.open_cookie import OpenCookie
from enthought.graph.vpl.graph_editor import GraphEditor
from enthought.graph.vpl.graph_editor_plugin import GraphEditorPlugin


class DataflowResourceOpenCookie(OpenCookie):
    """ The open cookie for Dataflow resources. """

    ###########################################################################
    # 'OpenCookie' interface.
    ###########################################################################

    def open(self, window, binding, **kw):
        """ Opens a resource referenced by the binding. """

        # fixme: This should be the generic behavior for ALL editors!
        for editor in window.editors:
            if isinstance(editor, GraphEditor):
                if editor.canvas == binding.obj:
                    editor.control.SetFocus()
                    editor.control.GetChildren()[0].SetFocus()
                    break

        else:
            GraphEditorPlugin.instance.open_graph_editor(
                window.control, canvas=binding.obj, binding=binding
            )

        return
    
##### EOF #####################################################################
