""" The cookie required to enable the drop-as-a-source-actor action. """


# Enthought library imports.
from enthought.envisage.project import Cookie


class ResourceSourceCookie(Cookie):
    """ The cookie required to enable the drop-as-a-source-actor action. """

    ##########################################################################
    # 'ResourceSourceCookie' interface.
    ##########################################################################

    def drop(self, name, container, chip_name, resource):
        """ Create a resource source actor for the resource.

        Subclasses should return an actor that when fired will provide the
        resource data via output port(s).  The actor must implement
        ConvergeActor.
        """

        raise NotImplementedError

#### EOF ######################################################################
