#-------------------------------------------------------------------------------
#  
#  Defines classes for storing hierarchies of graph Actor classes. 
#  
#  Written by: David C. Morrill
#  
#  Date: 03/02/2005
#  
#  (c) Copyright 2005 by Enthought, Inc.
#  
#-------------------------------------------------------------------------------

from enthought.traits.api import HasPrivateTraits, List, Str, Any, Property, Bool

#-------------------------------------------------------------------------------
#  'GraphActorFolder' class:  
#-------------------------------------------------------------------------------

class GraphActorFolder ( HasPrivateTraits ):
    
    #---------------------------------------------------------------------------
    #  Trait definitions:  
    #---------------------------------------------------------------------------
        
    name  = Str   # Name of folder
    items = List  # List of folder items
    full_path = Str # path of this folder in the chip manager.
        
#-------------------------------------------------------------------------------
#  'GraphActor' class:  
#-------------------------------------------------------------------------------
        
class GraphActor ( HasPrivateTraits ):
    
    #---------------------------------------------------------------------------
    #  Trait definitions:  
    #---------------------------------------------------------------------------
        
    name  = Property   # User interface name of the actor class
    instance = Any     # Actor class instance
    
    def _get_name ( self ):
        return self.instance.chip_name
        
    def _set_name ( self, value ):
        pass
