#-------------------------------------------------------------------------------
#  
#  Defines classes for editing a single bundle of a Graph Actor class.  
#  
#  Written by: David C. Morrill
#  
#  Date: 04/20/2005
#  
#  (c) Copyright 2005 by Enthought, Inc.
#  
#-------------------------------------------------------------------------------

#-------------------------------------------------------------------------------
#  Imports:  
#-------------------------------------------------------------------------------
    
from converge_actor \
    import ConvergeBundle, ConvergePort

from enthought.traits.api \
    import Instance
    
from enthought.traits.ui.api \
    import View, Item, Handler, TreeEditor, TreeNode
    
#-------------------------------------------------------------------------------
#  Views associated with various tree nodes:  
#-------------------------------------------------------------------------------
        
bundle_view = View( 'name', kind = 'subpanel' )
port_view   = View( 'name', kind = 'subpanel' )

#-------------------------------------------------------------------------------
#  Bundle tree editor:  
#-------------------------------------------------------------------------------
        
bundle_editor = TreeEditor( 
    nodes = [
        TreeNode( node_for   = [ ConvergeBundle ],
                  name       = 'Connection Point',
                  auto_close = True,
                  copy       = False,
                  delete     = False,
                  children   = 'ports',
                  label      = 'name',
                  view       = bundle_view,
                  move       = [ ConvergePort ] ),
        TreeNode( node_for   = [ ConvergePort ],
                  view       = port_view,
                  label      = 'name' )
    ]
)
    
#-------------------------------------------------------------------------------
#  'GraphContactEditor' class:  
#-------------------------------------------------------------------------------
        
class GraphContactEditor ( Handler ):
    
    #---------------------------------------------------------------------------
    #  Trait definitions:  
    #---------------------------------------------------------------------------
        
    # Bundle being edited:
    bundle = Instance( ConvergeBundle )
    
    #---------------------------------------------------------------------------
    #  Trait editor views:  
    #---------------------------------------------------------------------------
        
    # Define the View to use:
    traits_view = View( [ Item( name      = 'bundle', 
                                id        = 'bundle',
                                editor    = bundle_editor, 
                                resizable = True ), '|<>' ],
                        title     = 'Converge Connection Editor',
                        id        = 'enthought.graph.vpl.graph_contact_editor',
                        kind      = 'livemodal',
                        help      = False,
                        resizable = True,
                        width     = .3,
                        height    = .2 )

