""" A factory that creates new and empty graphs. """


# Enthought library imports.
from enthought.graph import CompositeActor, SimpleSdfDirector
from enthought.graph.vpl.graph_canvas_controller import \
     graph_canvas_controller, graph_canvas_style
from enthought.graph.vpl.graph_canvas import GraphCanvas

from enthought.traits.api import HasTraits


class GraphFactory(HasTraits):
    """ A factory that creates new and empty graphs. """

    ###########################################################################
    # 'DataflowFactory' interface.
    ###########################################################################

    def create(self, name, **kw):
        """ Creates a new and empty dataflow. """

        # Create the underlying Graph model objects:
        actor = CompositeActor( name )
        SimpleSdfDirector( container = actor )        
        
        # Create an Enable OM canvas:
        graph = GraphCanvas( 
            bounds      = ( 0, 0, 1536, 1536 ),
            min_width   = 1536, 
            min_height  = 1536,
            grid_width  = 64,
            grid_height = 64,
            controller  = graph_canvas_controller,
            style       = graph_canvas_style,
            data        = actor
        )

        return graph
    
##### EOF #####################################################################
