#-------------------------------------------------------------------------------
#  
#  Defines classes for editing a single port of a Graph Actor class.  
#  
#  Written by: David C. Morrill
#  
#  Date: 04/20/2005
#  
#  (c) Copyright 2005 by Enthought, Inc.
#  
#-------------------------------------------------------------------------------

#-------------------------------------------------------------------------------
#  Imports:  
#-------------------------------------------------------------------------------
    
from enthought.traits.api \
    import Regex
    
from enthought.traits.ui.api \
    import View, Handler
    
#-------------------------------------------------------------------------------
#  'GraphPortEditor' class:  
#-------------------------------------------------------------------------------
        
class GraphPortEditor ( Handler ):
    
    #---------------------------------------------------------------------------
    #  Trait definitions:  
    #---------------------------------------------------------------------------
        
    # Name of port being edited:
    name = Regex( regex = r'\S' )
    
    #---------------------------------------------------------------------------
    #  Trait editor views:  
    #---------------------------------------------------------------------------
        
    # Define the View to use:
    traits_view = View( 'name',
                        title  = 'Converge Connection Editor',
                        id     = 'enthought.graph.vpl.graph_port_editor',
                        kind   = 'livemodal',
                        undo   = False,
                        revert = False,
                        help   = False )

