""" Context adapter for composite actors. """


# Enthought library imports.
from enthought.naming.adapter import TraitListContextAdapter
from enthought.traits.api import Property, Str


class CompositeActorContextAdapter(TraitListContextAdapter):
    """ Context adapter for composite actors. """

    #### 'Context' interface ##################################################

    # The name of the context within its own namespace.
    namespace_name = Property(Str)

    #### 'TraitListContextAdapter' interface ##################################

    # The name of the object's trait that provides the list.
    trait_name = 'nodes'

    ###########################################################################
    # 'Context' interface.
    ###########################################################################

    #### Properties ###########################################################
    
    def _get_namespace_name(self):
        """ Returns the name of the context within its own namespace. """

        return self.context.namespace_name + '/' + self.adaptee.name
    
##### EOF #####################################################################
