""" The node type for composite actors. """


# Enthought library imports.
from enthought.envisage.resource import ResourceNodeType
from enthought.pyface.api import ImageResource

# Local imports.
from composite_actor_monitor import CompositeActorMonitor


class CompositeActorNodeType(ResourceNodeType):
    """ The node type for composite actors. """

    #### 'NodeType' interface #################################################

    # The image used to represent nodes of this type.
    image = ImageResource('composite_actor')

    ###########################################################################
    # 'NodeType' interface.
    ###########################################################################

    def get_monitor(self, node):
        """ Returns a monitor that detects changes to a node. """

        return CompositeActorMonitor(node=node)

##### EOF #####################################################################
