""" The node type for converge actors. """


# Enthought library imports.
from enthought.envisage.resource import ResourceNodeType
from enthought.pyface.api import ImageResource


# Local imports.
from converge_actor_monitor import ConvergeActorMonitor


class ConvergeActorNodeType(ResourceNodeType):
    """ The node type for converge actors. """

    #### 'NodeType' interface #################################################

    # The image used to represent nodes of this type.
    image = ImageResource('converge_actor')

    ###########################################################################
    # 'NodeType' interface.
    ###########################################################################

    def get_monitor(self, node):
        """ Returns a monitor that detects changes to a node. """

        return ConvergeActorMonitor(node=node)
    
##### EOF #####################################################################
