""" The node type for dataflow graph resources. """


# Enthought library imports.
from enthought.envisage.resource import ResourceNodeType
from enthought.pyface.api import ImageResource

# Local imports.
from dataflow_monitor import DataflowMonitor


class DataflowNodeType(ResourceNodeType):
    """ The node type for dataflow graph resources. """

    #### 'NodeType' interface #################################################

    # The image used to represent nodes of this type.
    image = ImageResource('dataflow')

    ###########################################################################
    # 'NodeType' interface.
    ###########################################################################

    def allows_children(self, node):
        """ Does the node allow children (ie. a folder vs a file). """

        # fixme: To hide the children of the dataflow, but still allow it to
        # be part of name resolution, change this to errrrrrr, False ;^)
        return True

    def get_monitor(self, node):
        """ Returns a monitor that detects changes to a node. """

        return DataflowMonitor(node=node)
    
##### EOF #####################################################################
