
#-------------------------------------------------------------------------------
#  
#  Plugin for displaying a palette of Converge Actors
#  
#-------------------------------------------------------------------------------

#-------------------------------------------------------------------------------
#  Imports:  
#-------------------------------------------------------------------------------

from enthought.traits.api import Str, Any, List

from enthought.envisage.core.core_plugin_definition \
    import ExtensionItem, ExtensionPoint, PluginDefinition

from enthought.envisage.ui.ui_plugin_definition \
    import UIViews, View

from enthought.graph.vpl.graph_editor_plugin_definition \
    import ActorClassLocations, ActorClassLocation
    
# The plugin's globally unique identifier (also used as the prefix for all
# identifiers defined in this module).
ID = "enthought.graph.vpl"

###############################################################################
# Extensions.
###############################################################################

actor_class_locations = ActorClassLocations( class_locations = [
    ActorClassLocation( path  = 'enthought/graph/vpl/example' ),
])

#-------------------------------------------------------------------------------
#  The plugin definition:
#-------------------------------------------------------------------------------

PluginDefinition(
    # The plugin's globally unique identifier:
    id = ID + ".VplActors",
    

    # General information about the plugin:
    name          = "Vpl Actors Palette",
    version       = "1.0.0",
    provider_name = "Enthought, Inc",
    provider_url  = "www.enthought.com",
    enabled       = True,
    autostart     = True,

    # The Id's of the plugins that this plugin requires:
    requires = [
        "enthought.graph.vpl"
    ],

    # The extension points offered by this plugin:
    extension_points = [],
    
    # The contributions that this plugin makes to extension points offered by
    # either itself or other plugins:
    extensions = [ actor_class_locations ]
)

