#-----------------------------------------------------------------------------
#
#  Copyright (c) 2005-2006 by Enthought, Inc.
#  All rights reserved.
#
#  Author: Greg Rogers
#
#-----------------------------------------------------------------------------

""" The default view and handler for enthought.python.expression.Expression
objects.
"""
from enthought.traits.ui.api import Handler, Item, View

class ExpressionView( View ):
    """ The default view for Expression objects.
    This view is 'simple' stylewise.  It allows the user to edit the expression
    string, but does not present the other Expression properties.
    """
    def __init__(self):
        super(ExpressionView, self).__init__(
            Item( name='expression' ),
            handler=ExpressionViewHandler()
            )

class ExpressionViewHandler( Handler ):
    """ Default handler for the default Expression view.
    
    No special behavior at this time.
    """
    pass
        
### EOF
