#-----------------------------------------------------------------------------
#
#  Copyright (c) 2005-2006 by Enthought, Inc.
#  All rights reserved.
#
#  Author: Greg Rogers
#
#-----------------------------------------------------------------------------

""" The default view and handler for 
enthought.python.quantity_expression.QuantityExpression objects.
"""
from enthought.traits.ui.api import Item, View
from enthought.units.ui.meta_quantity_view import \
    MetaQuantityView, MetaQuantityViewHandler

class QuantityExpressionView( MetaQuantityView ):
    """ The default view for QuantityExpression objects.
    This view is 'simple' stylewise.  It allows the user to edit the expression
    string, but does not present the other Expression properties.
    """
    def __init__(self, *args, **traits):
        # Allow superclass to pick the handler.
        #handler = traits.setdefault('handler', 
        #                            QuantityExpressionViewHandler() )
                
        super(QuantityExpressionView, self).__init__(
            Item( name='expression' ),
            *args,
            **traits
            )

class QuantityExpressionViewHandler( MetaQuantityViewHandler ):
    """ Default handler for the default Expression view.
    
    No special behavior at this time.
    """
    pass
        
### EOF
