from setuptools import setup, find_packages


# NOTE: This package should never depend on other ETS projects!!


setup(
    author = 'Dave Peterson',
    author_email = 'dpeterson@enthought.com',
    description = 'Setuptools extensions',
    entry_points = {
        "distutils.commands": [
            'etscollect = enthought.setuptools.collector:Collector',
            'etsdeps = enthought.setuptools.validate_deps:ValidateDeps',
            ],
        },
    extras_require = {
        # All non-ets dependencies should be in this extra to ensure users can
        # decide whether to require them or not.
        'nonets': [
            'setuptools >=0.6c6',
            ],
        },
    include_package_data = True,
    install_requires = [
        ],
    license = 'BSD',
    name = 'enthought.setuptools',
    namespace_packages = [
        "enthought",
        ],
    packages = find_packages(),
    tests_require = [
        'nose >= 0.9',
        ],
    test_suite = 'nose.collector',
    url = 'http://code.enthought.com/ets',
    version = '0.2.1b1',
    zip_safe = False,
    )
