import pysvn
import datetime

from enthought.traits.api import HasTraits, Str, List
from enthought.traits.ui.api import View, Group, Item, TableEditor
from enthought.traits.ui.table_column import ObjectColumn


my_table_editor = TableEditor(columns=[ObjectColumn(name='change_date',
                                                    editable=False),
                                       ObjectColumn(name='log_entry',
                                                    editable=False),
                                       ObjectColumn(name='author',
                                                    editable=False)],
                              editable=False,
                              configurable=False,
                              deletable=False)

class LogEntry(HasTraits):
    change_date = Str
    log_entry = Str
    author = Str


class LogStruct(HasTraits):

    content = List(LogEntry)

    traits_view = View(Group(Item('content',
                                  editor=my_table_editor),
                             style='readonly',
                             show_labels = False),
                       buttons = ['OK'],
                       title = "Recent Changes",
                       resizable=True,
                       height = 300,
                       width = 600)


    def __init__(self, resource, manager):

        svn_client = manager.svn_client

        entry_num = 1 

        for entry in svn_client.log(resource):
            if entry_num > 20:
                break

            next_entry = LogEntry()
            logdate = datetime.date.fromtimestamp(entry['date'])
            next_entry.change_date = str(logdate)
            next_entry.log_entry = str(entry['message'])
            next_entry.author = str(entry['author'])
            self.content.append(next_entry)
            entry_num += 1

        return
