# Standard library imports.
from os.path import abspath, dirname, join

# Enthought library imports.
import enthought.envisage as envisage
import enthought.logger as logger
import enthought.sharing as sharing

# The location of the Envisage package.
envisage = abspath(dirname(envisage.__file__))
logger = abspath(dirname(logger.__file__))
sharing = abspath(dirname(sharing.__file__))

# The plugin definitions required by the application.
PLUGIN_DEFINITIONS = [
    # Envisage plugins.
    join(envisage, 'core/core_plugin_definition.py'),
    join(envisage, 'ui/ui_plugin_definition.py'),
    join(envisage, 'ui/preference/preference_plugin_definition.py'),
    join(envisage, 'ui/python_shell/python_shell_plugin_definition.py'),
    join(envisage, 'project/project_plugin_definition.py'),

    # Application plugins
    # Uncomment the following line if you have and want to use the
    #  logger plugin as well...
    #join(logger, 'plugin/logger_plugin_definition.py'),

    # Application plugins.
    join(sharing, 'test/example_plugin_definition.py'),
    join(sharing, 'plugin/sharing_plugin_definition.py')
]

#### EOF ######################################################################
