from setuptools import setup, find_packages


# Function to convert simple ETS project names and versions to a requirements
# spec that works for both development builds and stable builds.
def build_reqs(list):
    return ['%s >=%s.dev, <=%s' % (p, v, v) for p,v in list]

# Declare the ETS project versions
install_requires = build_reqs([
    ('enthought.chaco', '1.9.1b1'),
    ("enthought.chaco2", "2.0.1b1"),
    ("enthought.charm", "2.0.1b1"),
    ("enthought.component", "2.0.1b1"),
    ("enthought.debug", "2.0.1b1"),
    ("enthought.developer", "2.0.1b1"),
    ('enthought.enable', '1.9.1b1'),
    ("enthought.enable2", "2.0.1b1"),
    ("enthought.endo", "2.0.1b1"),
    ("enthought.envisage", "2.0.1b1"),
    ("enthought.etsconfig", "2.0.1b1"),
    ("enthought.gotcha", "2.0.1b1"),
    ("enthought.graph", "2.0.1b1"),
    ("enthought.greenlet", "2.0.1b1"),
    ("enthought.guitest", "2.0.0b2"),
    ("enthought.help", "2.0.1b1"),
    ("enthought.interpolate", "2.0.0b3"),
    ("enthought.io", "2.0.1b1"),
    ("enthought.kiva", "2.0.0b2"),
    ("enthought.logger", "2.0.1b1"),
    ("enthought.mathematics", "2.0.1b1"),
    ("enthought.mayavi", "2.0.2a1"),
    ("enthought.model", "2.0.1b1"),
    ("enthought.naming", "2.0.1b1"),
    ("enthought.numerical_modeling", "2.0.1b1"),
    ("enthought.persistence", "2.0.1b2"),
    ('enthought.plugins.chaco', '1.9.1b1'),
    ('enthought.plugins.debug', '2.0.1b1'),
    ("enthought.plugins.python_shell", "2.0.1b1"),
    ("enthought.plugins.refresh_code", "2.0.1b1"),
    ("enthought.plugins.test", "2.0.1b1"),
    ("enthought.plugins.text_editor", "2.0.1b1"),
    ("enthought.pyface", "2.0.1b1"),
    ("enthought.python", "2.0.1b1"),
    ("enthought.resource", "2.0.1b1"),
    ("enthought.resource_type", "2.0.1b1"),
    ("enthought.setuptools", "0.2.1b1"),
    ("enthought.sharing", "2.0.1b1"),
    ("enthought.sweet_pickle", "2.0.1b1"),
    ("enthought.testing", "2.0.1b1"),
    ("enthought.traits", "2.0.1b1"),
    ("enthought.traits.ui.wx", "2.0.1b1"),
    ("enthought.tvtk", "2.0.0b2"),
    ("enthought.type_manager", "2.0.1b1"),
    ("enthought.units", "2.0.1b1"),
    ("enthought.util", "2.0.1b2"),
    ])


setup(
    author = 'Enthought, Inc',
    author_email = 'info@enthought.com',
    dependency_links = [
        'http://code.enthought.com/enstaller/eggs/source',
        ],
    description = 'Enthought Tool Suite Library',
    extras_require = {
        # Allow users to decide if they install ETS without external
        # dependencies
        'nonets': [
            'enthought.chaco[nonets]',
            'enthought.chaco2[nonets]',
            'enthought.charm[nonets]',
            'enthought.component[nonets]',
            'enthought.debug[nonets]',
            'enthought.developer[nonets]',
            'enthought.enable[nonets]',
            'enthought.enable2[nonets]',
            'enthought.endo[nonets]',
            'enthought.envisage[nonets]',
            'enthought.etsconfig[nonets]',
            'enthought.gotcha[nonets]',
            'enthought.graph[nonets]',
            'enthought.greenlet[nonets]',
            'enthought.guitest[nonets]',
            'enthought.help[nonets]',
            'enthought.interpolate[nonets]',
            'enthought.io[nonets]',
            'enthought.kiva[nonets]',
            'enthought.logger[nonets]',
            'enthought.mathematics[nonets]',
            'enthought.mayavi[nonets]',
            'enthought.model[nonets]',
            'enthought.naming[nonets]',
            'enthought.numerical_modeling[nonets]',
            'enthought.persistence[nonets]',
            'enthought.plugins.chaco[nonets]',
            'enthought.plugins.debug[nonets]',
            'enthought.plugins.python_shell[nonets]',
            'enthought.plugins.refresh_code[nonets]',
            'enthought.plugins.test[nonets]',
            'enthought.plugins.text_editor[nonets]',
            'enthought.pyface[nonets]',
            'enthought.python[nonets]',
            'enthought.resource[nonets]',
            'enthought.resource_type[nonets]',
            'enthought.setuptools[nonets]',
            'enthought.sharing[nonets]',
            'enthought.sweet_pickle[nonets]',
            'enthought.testing[nonets]',
            'enthought.traits[nonets]',
            'enthought.traits.ui.wx[nonets]',
            'enthought.tvtk[nonets]',
            'enthought.type_manager[nonets]',
            'enthought.units[nonets]',
            'enthought.util[nonets]',
            ],
        },
    include_package_data = True,
    install_requires = install_requires,
    license = 'BSD',
    name = 'ets',
    packages = find_packages(),
    url = 'http://code.enthought.com/ets',
    version = '2.6.0b1',
    zip_safe = True,
    )

